Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.delta
Class SetValueOperation

    java.lang.Object
      org.infinispan.schematic.internal.delta.Operation
          org.infinispan.schematic.internal.delta.ArrayOperation
              org.infinispan.schematic.internal.delta.SetValueOperation

    public class SetValueOperation

extends ArrayOperation

An atomic array add operation for SchematicValueDelta.

Since:
  5.1
Author:
  Randall Hauch (C) 2011 Red Hat Inc.

Nested Class Summary
`static class` | `SetValueOperation.Externalizer`

Field Summary
`protected int` | `index`
`protected Object` | `oldValue`
`protected Object` | `value`

Fields inherited from class org.infinispan.schematic.internal.delta.Operation
`parentPath`

Constructor Summary
`SetValueOperation(Path parentPath, Object value, int index)`

Method Summary
`int` | `getIndex()`
`Object` | `getValue()`
`void` | `replay(MutableDocument delegate)`
`void` | `rollback(MutableDocument delegate)`
`String` | `toString()`

Methods inherited from class org.infinispan.schematic.internal.delta.ArrayOperation
`mutableParent`

Methods inherited from class org.infinispan.schematic.internal.delta.Operation
`getParentPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected final Object value

### index

    protected final int index

### oldValue

    protected transient Object oldValue

Constructor Detail

### SetValueOperation

    public SetValueOperation(Path parentPath,
                             Object value,
                             int index)

Method Detail

### rollback

    public void rollback(MutableDocument delegate)

  Specified by:
    `rollback` in class `Operation`

### getIndex

    public int getIndex()

### getValue

    public Object getValue()

### replay

    public void replay(MutableDocument delegate)

  Specified by:
    `replay` in class `Operation`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.